Bug 91070 - Emacs aborts when moving a vertical split bar all the way to the right.
Emacs aborts when moving a vertical split bar all the way to the right.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-17 06:46 EDT by Kyriakos Sidiropoulos
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-20 04:13:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyriakos Sidiropoulos 2003-05-17 06:46:06 EDT
Description of problem:
Emacs  aborts  when  moving  a vertical
split bar all  the way  to  the  right.


Version-Release number of selected component (if applicable):
GNU Emacs 21.2.1

How reproducible:


Steps to Reproduce:
1) %> Emacs.		:)
2) C-x C-f ~/path/to/a/file
3) C-x 3
4) Move the vertical split bar all the way to the right.


    
Actual results:
[Raptor@Sirca srcs]$ emacs
Fatal error (6).Aborted


Expected results:
The, in the  above  way,  horizontally-enlarged,  left-splitted
window should look like the 'lisp-evaluation' (initial)  window,
when  it   has  been   throught   the   above   process.   (The
'lisp-evaluation'  window,   strangely,   does  not  present  a
problematic behaviour when passed through the above operations)


Additional info:
The  'lisp-evaluation'  window,   strangely,   does  not  present
a problematic behaviour throughout the bug-reproducing operations.
Comment 1 Jens Petersen 2003-05-19 00:40:45 EDT
This still happens with Emacs 21.3.
Comment 2 Kyriakos Sidiropoulos 2003-05-19 08:58:33 EDT
Harder to reproduce (but still existing) in 21.2.93.1.
There seem to be several problems with splitting. For
example, having multiple vertical split bars and moving
quiclky one of them up-down sometimes causes at least
one of the bars to become 'jammed' (new bug?).
Comment 3 Jens Petersen 2003-05-20 04:13:06 EDT
This is fixed in cvs emacs as far I can tell.

Note You need to log in before you can comment on or make changes to this bug.